=== build/org.eclipse.cdt.cmake.core/templates/simple/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (${projectName})

add_executable(${projectName} ${projectName}.cpp)
