=== core/org.eclipse.cdt.core.tests/resources/elf/inside_hints/Makefile ===
all:	be32 be32lib be64 be64lib le32 le32lib le64 le64lib

be32:	be32.asm
	nasm be32.asm

be32lib:	be32lib.asm
	nasm be32lib.asm

be64:	be64.asm
	nasm be64.asm

be64lib:	be64lib.asm
	nasm be64lib.asm

le32:	le32.asm
	nasm le32.asm

le32lib:	le32lib.asm
	nasm le32lib.asm

le64:	le64.asm
	nasm le64.asm

le64lib:	le64lib.asm
	nasm le64lib.asm

clean:
	rm -f be32 be32lib be64 be64lib le32 le32lib le64 le64lib
