=== debian/changelog ===
eclipse-cdt (9.9.0-5) unstable; urgency=medium

  * Use upstream provided manifest file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 04 Sep 2020 22:52:59 +0100

eclipse-cdt (9.9.0-4) unstable; urgency=medium

  * Remove extra poms from patch.
    - Move them to separate folder.
  * Add missing parent pom.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 06 Aug 2020 15:38:02 +0100

eclipse-cdt (9.9.0-3) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Jul 2020 16:41:10 +0100

eclipse-cdt (9.9.0-2) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to document Apache-2.0 licensed file

 -- tony mancill <tmancill@debian.org>  Thu, 11 Jun 2020 21:16:22 -0700

eclipse-cdt (9.9.0-1) unstable; urgency=medium

  * Reintroduce the package. (Closes: #961795)
    - New upstream version 9.9.0
    - New binary package libeclipse-cdt-java (Java libraries-only)
  * Use https with watch URI.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 12:37:34 +0100
