=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), default-jdk,
               maven-debian-helper, libeclipse-osgi-java,
               libequinox-common-java, libeclipse-core-runtime-java,
               libeclipse-core-resources-java, libeclipse-core-filesystem-java,
               libicu4j-java, libeclipse-text-java, libeclipse-core-jobs-java,
               libequinox-preferences-java, libequinox-registry-java,
               libeclipse-core-variables-java, libeclipse-core-contenttype-java,
               libeclipse-ltk-core-refactoring-java, libeclipse-jdt-annotation-java,
               libequinox-app-java, libeclipse-core-expressions-java,
               libeclipse-core-filebuffers-java, libjaxb-api-java,
               libgoogle-gson-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/java-team/eclipse-cdt.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-cdt
Homepage: http://www.eclipse.org/cdt/

Package: libeclipse-cdt-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: C/C++ Development Tools for Eclipse (Java libraries)
 The CDT Project provides a fully functional C and C++ Integrated
 Development Environment based on the Eclipse platform. Features include:
 support for project creation and managed build for various toolchains,
 standard make build, source navigation, various source knowledge tools,
 such as type hierarchy, call graph, include browser, macro definition browser,
 code editor with syntax highlighting, folding and hyperlink navigation,
 source code refactoring and code generation, visual debugging tools,
 including memory, registers, and disassembly viewers.
 .
 This package contains only the core and native core Java libraries.
