=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	cp debian/poms/core_org.eclipse.cdt.core.native_pom.xml core/org.eclipse.cdt.core.native/pom.xml
	cp debian/poms/core_org.eclipse.cdt.core_pom.xml core/org.eclipse.cdt.core/pom.xml
	cp debian/poms/util_org.eclipse.cdt.util_pom.xml util/org.eclipse.cdt.util/pom.xml
